#!/bin/sh
set -e

HOST=YOUR.DOMAIN
NGINX_HOST=$HOST
NAME={{ project_name }}
PROJECT_ROOT=/var/www/$NAME
USER=www-data
GROUP=www-data

DEB_REL=`python -c "print ' '.join(open('system/debian-requirements.txt').read().split()),"`
PY_REL=`python -c "print ' '.join(open('system/easy_install-requirements.txt').read().split()),"`

echo "[`date +%H:%M:%S`] prepare"
ssh $HOST "\
    sudo apt-get install -y $DEB_REL &&\
    sudo easy_install $PY_REL &&\
    sudo mkdir -p $PROJECT_ROOT &&\
    sudo chown -R \`whoami\` $PROJECT_ROOT &&\
    sudo chmod u+w $PROJECT_ROOT &&\
    true"

echo "[`date +%H:%M:%S`] copy files"
rsync . --recursive -F $HOST:$PROJECT_ROOT

echo "[`date +%H:%M:%S`] run postinstall"
ssh $HOST "\
	sudo chown -R $USER:$GROUP $PROJECT_ROOT &&\
	sudo /bin/bash $PROJECT_ROOT/system/postinstall.sh $NGINX_HOST &&\
	true"

echo "[`date +%H:%M:%S`] done"
